---
apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: backend
  namespace: eav
spec:
  values:
    services:
      backend:
        image:
          name:
            _default: cr.yandex/crp3ccidau046kdj8g9q/eav:prod_ddce2b51
        envs:
          - name: DJANGO_SETTINGS_MODULE
            value:
              _default: config.settings.production
          - name: ASSETS_TOPIC
            value:
              _default: sarex
          - name: KAFKA_SSL_CAFILE
            value:
              _default: /usr/local/share/ca-certificates/ca.crt
          - name: DJANGO_POSTGRES_HOST
            value:
              _default: postgres-service
          - name: DJANGO_POSTGRES_DATABASE
            value:
              _default: eav_db
          - name: YC_S3_ENDPOINT_URL
            value:
              _default: http://minio-service.minio.svc.cluster.local:9000
          - name: YC_S3_BUCKET_NAME
            value:
              _default: eav
